%define pypi_name yamllint

Name:       python-%{pypi_name}
Version:    1.32.0
Release:    %mkrel 5
Summary:    A linter for YAML files
Group:      Development/Python
License:    GPLv3
URL:        https://pypi.org/project/yamllint
Source0:    %pypi_source
BuildArch:  noarch

%description
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)
BuildRequires:  python3-setuptools 
BuildRequires:  python3-yaml
BuildRequires:  python3-pathspec
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
yamllint does not only check for syntax validity, but for weirdnesses like key
repetition and cosmetic problems such as lines length, trailing spaces,
indentation, etc.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files yamllint

%check
%pytest 

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/yamllint


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.32.0-5.mga10
+ Revision: 2240834
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 1.32.0-4.mga10
+ Revision: 2157981
- rebuild for python3.13

* Fri Dec 27 2024 papoteur <papoteur> 1.32.0-3.mga10
+ Revision: 2130515
- add and use pytest

* Fri Jan 05 2024 bcornec <bcornec> 1.32.0-2.mga10
+ Revision: 2027789
+ rebuild (emptylog)

* Fri Oct 20 2023 bcornec <bcornec> 1.32.0-1.mga10
+ Revision: 1999749
- Update to upstream 1.32.0

* Sat Apr 23 2022 guillomovitch <guillomovitch> 1.26.3-1.mga9
+ Revision: 1852907
- imported package python-yamllint

